Evolution crash: libcamelexchange.so: undefined symbol: camel_url_decode_path

Bug #75360 reported by Luca Corti on 2006-12-11
24
Affects Status Importance Assigned to Milestone
evolution-exchange (Ubuntu)
High
Ubuntu Desktop Bugs

Bug Description

Binary package hint: evolution-exchange

Evolution crashes when trying to access an Exchange account with the following error:

evolution: symbol lookup error: /usr/lib/evolution-data-server-1.2/camel-providers-8/libcamelexchange.so: undefined symbol: camel_url_decode_path

This happens after evolution 2.8 -> 2.9 upgrade, so I think evolution-exchange 2.8 in feisty is just out of date.

Sebastien Bacher (seb128) wrote :

Thanks for the bug report. This particular bug has already been
reported into our bug tracking system, but please feel free to report
any further bugs which you find.

Changed in evolution-exchange:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: Unconfirmed → Rejected
Sebastien Bacher (seb128) wrote :

The bug is mentionned on bug #74357 but not the topic of that one, reopening

Changed in evolution-exchange:
status: Rejected → Confirmed
Michael Smith (enginerd) wrote :

I also have this bug. Crashes as soon as it starts to check exchange server... How do i remove the exchange info from evo... i can also us pop so i can at least read my mail? Because OWA in firefox is awful.

This is what I said on bug #75361... I almost didn't enter a dupe ;-)

The latest evolution-exchange in feisty has a problem, and needs this patch to be applied

http://cia.navi.cx/stats/author/vvaradan/.message/e3e6

http://cvs.gnome.org/bonsai/cvsview2.cgi?diff_mode=context&whitespace_mode=show&subdir=evolution-exchange/camel&command=DIFF_FRAMESET&file=camel-exchange-store.c&rev1=1.30&rev2=1.31&root=/cvs/gnome

since libcamel does not have camel_url_decode_path.

On Mon, 2006-12-11 at 16:50 +0000, Michael Smith wrote:
> I also have this bug. Crashes as soon as it starts to check exchange
> server... How do i remove the exchange info from evo... i can also us
> pop so i can at least read my mail? Because OWA in firefox is awful.

Try running evolution with --offline and then disable the exchange
account from the preferences and go online or just temporarily remove
the evolution-exchange package.

I will also say that I did an:

apt-get source evolution-exchange
sudo apt-get build-dep evolution-exchange

changed camel-exchange-store.c according to the above patch

debian/rules binary

and installed the resulting binary, and now my evolution runs fine (as far as i can tell so far)

Changed in evolution-exchange:
importance: Medium → High
michelem (michele-marcucci) wrote :

I did the package like Paul but I still have problem:

mik@goa:~$ evolution
CalDAV Eplugin starting up ...

** (evolution-2.10:9875): CRITICAL **: e2k_global_catalog_lookup: assertion `E2K_IS_GLOBAL_CATALOG (gc)' failed

(evolution-2.10:9875): evolution-mail-WARNING **: ignored this junk plugin: not enabled or we have already loaded one

(evolution-2.10:9875): e-utils-WARNING **: Plugin 'Spamassassin junk plugin' failed to load hook 'org.gnome.evolution.mail.junk:1.0'
** (evolution-2.10:9875): DEBUG: mailto URL command: evolution %s
** (evolution-2.10:9875): DEBUG: mailto URL program: evolution

(evolution-2.10:9875): bf-junk-filter-WARNING **: error occurred while spawning /usr/bin/bogofilter: Failed to execute child process "/usr/bin/bogofilter" (No such file or directory)

(evolution-2.10:9875): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion `GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed
Segmentation fault (core dumped)

I tried Paul's build method, but received these errors.

wharvey@lusosman:~$ sudo apt-get source evolution-exchange
Password:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Skipping already downloaded file 'evolution-exchange_2.8.2-0ubuntu1.dsc'
Skipping already downloaded file 'evolution-exchange_2.8.2.orig.tar.gz'
Skipping already downloaded file 'evolution-exchange_2.8.2-0ubuntu1.diff.gz'
Need to get 0B of source archives.
Skipping unpack of already unpacked source in evolution-exchange-2.8.2
wharvey@lusosman:~$ sudo apt-get build-dep evolution-exchange
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Build-dependencies for evolution-exchange could not be satisfied.
wharvey@lusosman:~$

Does anyone know when this will be fixed?

Any ideas?

Michael Smith (enginerd) wrote :

I did the package like Paul stated. It is working like normal now. Thanks for the quick fix Paul.

Do we have any idea how long till the official update...?

Aaron Lake (aaron-lake) wrote :

Confirmed, Paul's solution worked swimmingly. Thanks.

Sebastien Bacher (seb128) wrote :

the bug has been fixed in newer version

Changed in evolution-exchange:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers